import Vue from 'vue'
import Vuex from 'vuex'
import { Message } from 'element-ui';
Vue.use(Vuex)
import axios from "axios"
import router from "../router/index.js"

export default new Vuex.Store({
  state: {
    count: 1,
    userinfo:{
      token: "",
      username: ""
    }
  },
  mutations: {
    add(state){
      state.count++
    },
    setuserinfo(state,a){
      state.userinfo = a
    }
  },
  actions: {
    getuserinfo(context,info){
      console.log(info)
      axios
      .get("/login", {
          params: {
              pwd: info.pwd,
              user: info.user,
          },
      })
      .then((res) => {
          console.log(res.data);
          if (res.data.code == 500) {
            Message.error(res.data.msg);
          }else{
            Message({
                  message: "登录成功",
                  type: "success",
              });
              localStorage.setItem("token",res.data.data.token)
              context.commit("setuserinfo",res.data.data)
              router.push("/list")
          }
      });
    }
  },
  modules: {
  }
})
